/***************************************************************************************************/
/* example.pov  - Copyright Chris Bartlett 2004                                                    */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

#version 3.5;
#ifndef(ppCamera)  #declare ppCamera="Crowd2";  #end // Crowd1 = Front Left, Crowd2 = Front, Crowd3 = In amongst.

#include "povperson.inc"
#local ppNumberOfActualPositions = ppCrowdPositions(16);          
#declare ppCrowdFigureList = array[1];
#declare ppCrowdFigureList[0] = ppFigure("ppann.inc","pprandomstyle.inc","pplookstraight.inc","ppstanding.inc","pprandomoutfit.inc");
#declare myCrowd = ppCrowd(0, ppNumberOfActualPositions);  

//#include "povperson.inc"
//#declare ppCrowdPlatform = sphere {0,2 pigment {color rgb <1,1,0>}}
//#local ppNumberOfActualPositions = ppCrowdPositions(5);          
//
//
//#local ppI = 0;
//#declare ppCrowdFigureList = array[5];
//#while (ppI<dimension_size(ppCrowdFigureList,1))
//  #declare ppCrowdFigureList[ppI] = ppFigure("random","random","pplookstraight.inc","random","random");
//  #local ppI = ppI + 1;
//#end
//
//
//#declare ppCrowdFigureMinRotation = 150;
//#declare ppCrowdFigureMaxRotation = 210;
//
//#declare myCrowd = ppCrowd(0,ppNumberOfActualPositions);  




//#debug concat("myNumberOfFigures: "str(ppNumberOfFigures,3,3),"\n")



#if (strcmp(substr(ppCamera,1,5),"Crowd")=0) 
  object {ppCrowdPlatform pigment {color rgb <1,1,0>}} 
  object {myCrowd}
  light_source { <20, 60,-100> color rgb<1, 1, 1> }   

  #switch (0)
    #case (strcmp(ppCamera,"Crowd1"))
      light_source { <10, 5,-10> color rgb<1, 0.9, 0.9>}   
      camera {location<-2,2,-3> look_at<5,1,5>}
    #break 
    #case (strcmp(ppCamera,"Crowd2"))
      light_source { <0, 14,-16> color rgb<1, 1, 1>*1.2 }   
      camera {location<-2.5,1.5,-6> look_at<0,1.5,0>}
    #break
    #else
      light_source { <10, 5,-10> color rgb<1, 0.9, 0.9>}   
      camera {location<5,1,3> look_at<5,1,10>}
   #end // End of conditional part
#end
 
