/***************************************************************************************************/
/* pprandomstyle.inc  - Copyright Chris Bartlett Oct 2005.                                         */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

//#local ppStyleList = array [2] {"ppstyle7.inc", "ppstyle4.inc"}
#local ppStyleList = array [1] {"ppstyle7.inc"}
#local ppRandomStyle = ppStyleList[floor(rand(ppRandomStream)*0.9999999*dimension_size(ppStyleList,1))];
#if (rand(ppRandomStream)<1.1)
  #include "ppstyle7.inc"
#else
  #if (rand(ppRandomStream)<0.5)
    #include "ppstyle1.inc"
  #else 
    #include "ppstyle2.inc"
  #end
#end

#if (rand(ppRandomStream)<0.95)
  #declare ppHairColour = <0.9+0.1*rand(ppRandomStream),0.7+0.15*rand(ppRandomStream),0.1+0.7*rand(ppRandomStream)>*rand(ppRandomStream);
#else
  #declare ppHairColour = <rand(ppRandomStream),rand(ppRandomStream),rand(ppRandomStream)>;
#end

//<0.55,0.45,0.3> Brunette
//<0.3,0.3,0.3,0.5> Black
//<1,0.9,0.6>  Golden





#ifndef (ppVerbose) #declare ppVerbose = 0; #end
#if (ppVerbose) #debug concat("Style : ",ppRandomStyle,"\n") #end
