/***************************************************************************************************/
/* ppstanding.inc  - Copyright Chris Bartlett November 2004                                        */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/


ppRotateJoint(ppLeftShoulderJointRef           ,  20, 30, 20)        // y,-x,-z
ppRotateJoint(ppLeftElbowJointRef              ,  0, 90,  0)        // y,-x,-z
ppRotateJoint(ppLeftWristJointRef              ,  0,-10,-15)        // y, z,-x
// y, z,-x
ppRotateJoint(ppLeftThumbBaseJointRef          , 80, 45, 15) 
ppRotateJoint(ppLeftThumbMiddleJointRef        ,  0, 10,  0) 
ppRotateJoint(ppLeftThumbTipJointRef           ,  0, 10,  0) 
ppRotateJoint(ppLeftFirstFingerBaseJointRef    , 20, 25,  0) 
ppRotateJoint(ppLeftFirstFingerMiddleJointRef  ,  0, 25,  0) 
ppRotateJoint(ppLeftFirstFingerTipJointRef     ,  0,  5,  0) 
ppRotateJoint(ppLeftMiddleFingerBaseJointRef   , 10, 25,  0) 
ppRotateJoint(ppLeftMiddleFingerMiddleJointRef ,  0, 25,  0) 
ppRotateJoint(ppLeftMiddleFingerTipRef         ,  0,  5,  0) 
ppRotateJoint(ppLeftThirdFingerBaseJointRef    ,  0, 25,  0) 
ppRotateJoint(ppLeftThirdFingerMiddleJointRef  ,  0, 25,  0) 
ppRotateJoint(ppLeftThirdFingerTipJointRef     ,  0,  5,  0) 
ppRotateJoint(ppLeftLittleFingerBaseJointRef   ,-10, 25,  0) 
ppRotateJoint(ppLeftLittleFingerMiddleJointRef ,  0, 25,  0) 
ppRotateJoint(ppLeftLittleFingerTipJointRef    ,  0,  5,  0) 
                                              
ppRotateJoint(ppRightShoulderJointRef           ,  20, 30, 20)        // -y,-x, z
ppRotateJoint(ppRightElbowJointRef              ,  0, 90,  0)        // -y,-x, z
ppRotateJoint(ppRightWristJointRef              ,  0,-10,-15)        // -y,-z,-x
//-y,-z,-x
ppRotateJoint(ppRightThumbBaseJointRef          , 80, 45, 15)
ppRotateJoint(ppRightThumbMiddleJointRef        ,  0, 10,  0)
ppRotateJoint(ppRightThumbTipJointRef           ,  0, 10,  0)
ppRotateJoint(ppRightFirstFingerBaseJointRef    , 20, 25,  0)
ppRotateJoint(ppRightFirstFingerMiddleJointRef  ,  0, 25,  0)
ppRotateJoint(ppRightFirstFingerTipJointRef     ,  0,  5,  0) 
ppRotateJoint(ppRightMiddleFingerBaseJointRef   , 10, 25,  0) 
ppRotateJoint(ppRightMiddleFingerMiddleJointRef ,  0, 25,  0) 
ppRotateJoint(ppRightMiddleFingerTipRef         ,  0,  5,  0) 
ppRotateJoint(ppRightThirdFingerBaseJointRef    ,  0, 25,  0) 
ppRotateJoint(ppRightThirdFingerMiddleJointRef  ,  0, 25,  0) 
ppRotateJoint(ppRightThirdFingerTipJointRef     ,  0,  5,  0) 
ppRotateJoint(ppRightLittleFingerBaseJointRef   ,-10, 25,  0) 
ppRotateJoint(ppRightLittleFingerMiddleJointRef ,  0, 25,  0) 
ppRotateJoint(ppRightLittleFingerTipJointRef    ,  0,  5,  0) 

#declare ppToeCurlAngle = -16;
#include "pptoepositionwithheels.inc"

ppRotateJoint(ppLeftAnkleJointRef  ,  0,-12,0)
ppRotateJoint(ppRightAnkleJointRef ,  0,20,0)
ppRotateJoint(ppLeftKneeJointRef  ,  0,95,0)
ppRotateJoint(ppRightKneeJointRef ,  0,95,0)
ppRotateJoint(ppLeftHipJointRef  ,  0,100,0)
ppRotateJoint(ppRightHipJointRef ,  0,100,0)
                                                     


// The calculation algorithm needs to know the position and orientation of one body part for each connected part of the anatomy
// and should calculate the rest. If parts of the anatomy are not connected with a joint, then you will need to define the position 
// and orientation of one body part in each disconnected section.
// If the position and orientation of two body parts in a connected anatomy chain are specified, then there is a risk that the
// body rendered will be split in two (in a fashion that may be difficult to predict).
#declare ppBodyPartListOrientation[ppLeftFootRef]=<0,0,0>;
#declare ppBodyPartListPosition[ppLeftFootRef]   =<0,0,0>;
ppFixBodyPart(ppLeftFootRef, <0,0,0>, <0,0,0>)
