/***************************************************************************************************/
/* pp00animationexample01.pov  - Copyright Chris Bartlett 2005                                     */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

// Use with command line settings of +KFF30

#version 3.5;
#ifndef(ppCamera)  #declare ppCamera="Full Body";  #end
#include "povperson.inc"

#declare ppFrameCount = 30;
#declare ppClock = clock*ppFrameCount/(ppFrameCount+1);  
#declare ppWalkDistance = 1.06*ppClock;

#declare person = ppFigure("ppann.inc","ppstyle4.inc","pplookstraight.inc","ppwalking.inc","ppoutfit2.inc");

object {person rotate 180*y}

#if (strcmp(ppCamera,"Full Body")=0)
  light_source { < 2, 60  ,-30-ppWalkDistance> color rgb<1, 1  , 1  >*0.6}   
  light_source { < 0, 24  ,-26-ppWalkDistance> color rgb<1, 1  , 1  >*1.2}   
  light_source { < 5,  6.5,-10-ppWalkDistance> color rgb<1, 0.5, 0.5>}   
  camera {                       
    location     <-0.4,1.5, -2.5-ppWalkDistance>
    look_at      < 0.1,  1,  0-ppWalkDistance>
  }
#end