/***************************************************************************************************/
/* ppoutfit2.inc  - Copyright Chris Bartlett May 2005.                                             */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/
#ifndef(ppCamera)  #declare ppCamera="Outfit2";  #end
#ifndef(POVPerson) #include "povperson.inc"   #end
#declare ppShowPoints = 0;         
         
#if (strcmp(ppCamera,"Outfit2")=0)
  #declare Ann = object {ppFigure("ppann.inc","ppstyle4.inc","smile","ppstanding.inc","none") rotate y*00} // rotate 35*y translate <0.5,0,1>}
#end

// Define the list of costume elements required 
#declare ppCostumeItems = array [2] {
  "ppshorts1.inc",
  "ppshirts1.inc",
}  

#declare ppTrousersOrShorts  = "Shorts";
#declare ppLegLength         = 0;



#if (strcmp(ppCamera,"Outfit2")=0)
//  object {ppLeftLegObject}
//  object {ppLeftFootObject}
//  object {ppLeftBoot}
//  object {ppRightLegObject}
//  object {ppRightFootObject}
//  object {ppRightBoot}
  object {Ann}


  light_source { <2, 60,-10> color rgb<1, 1, 1>*1.6 }   
  light_source { <100, 14,100> color rgb<1, 1, 1>*2.2 }   
  light_source { <10, 50,1> color rgb<1, 0.5, 0.5>}   
//  camera {location <3, 1, 5> look_at <0, 0.8, 0>}
  camera {location <0.5,0.2,1.5> look_at <-0.01,0.5,0.2>}
#end   

