/***************************************************************************************************/
/* pps2eyebrow.inc  - Copyright Chris Bartlett 2005                                                */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

#ifndef (ppLiftLeftEyeBrow)
  #ifdef (ppLiftRightEyeBrow)
    #declare ppLiftLeftEyeBrow = ppLiftRightEyeBrow;
  #else 
    #declare ppLiftLeftEyeBrow =  10;        // -20 to 20
  #end    
#end

#ifndef (ppLiftRightEyeBrow)
  #declare ppLiftRightEyeBrow = ppLiftLeftEyeBrow;
#end

// Right Eyebrow 
#declare ppRightEyeBrow1 = torus {0.33,0.088
  rotate <8+ppLiftRightEyeBrow,0,-16>
  scale <1,1,0.6> 
  rotate y*25
  translate <-0.415,0.25,-0.56-ppLiftRightEyeBrow*0.0015>
  pigment {color rgb <1,1,1>}
}

// Left Eyebrow 
#declare ppLeftEyeBrow1 = torus {0.33,0.088
  rotate <8+ppLiftLeftEyeBrow,0,16>
  scale <1,1,0.6> 
  rotate -y*25
  translate <0.415,0.25,-0.56-ppLiftLeftEyeBrow*0.0015>
  pigment {color rgb <1,1,1>}
}

