/***************************************************************************************************/
/* cropped.inc  - Copyright Chris Bartlett Sept 2004.                                              */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

                                                                                     // Recommended Values
                                                                                     // ******************
//#ifndef (ppHairColour)            #declare ppHairColour = <0.65,0.55,0.3>;          #end // Brunette
#ifndef (ppHairColour)            #declare ppHairColour = <0.3,0.3,0.3,0.5>;          #end // Black
#declare ppSkinDarkness=ppSkinDarkness * 1.1;
#declare ppSkinRedness=0.9;
#declare ppBlusherColour  = <1,1,1,1>;
#declare ppLipColour = <0.9,0.5,0.5,0.4>*0.8;

#ifndef (ppHairStyle)             #declare ppHairStyle = 1;                         #end // See hairstyle.inc for valid values
#ifndef (ppHairNumber)            #declare ppHairNumber = 7000;                     #end // 
#ifndef (ppHairThickness)         #declare ppHairThickness = 0.008;                  #end // 
#ifndef (ppHairRandomness)        #declare ppHairRandomness = 10;                   #end // 

#ifndef (ppEyeshadowColour)        #declare ppEyeshadowColour  = <0.2,0.3,0.2,0.2>;   #end // More or less any colour you want
#ifndef (ppEyeshadowExtent)       #declare ppEyeshadowExtent = 0.5;                   #end // 0.2 to 1.5     1 is default

// Male Settings
#if (strcmp(ppGender,"male")=0)
  #ifndef (ppBeardColour)           #declare ppBeardColour = ppHairColour;   #end
  #ifndef (ppBeardHairLength)       #declare ppBeardHairLength = 0.08;       #end
  #ifndef (ppBeardHairNumber)       #declare ppBeardHairNumber = 4000;       #end
  #ifndef (ppBeardMoustachSplay)    #declare ppBeardMoustachSplay = 2  ;     #end

  #declare ppLipColour = ppLipColour*0.8;
  
#end    

#ifdef (ppBeardColour) #include "ppbeard.inc"  #end
